Subject: Re: change the way e1000 is handling short VLAN frames

From: jamal <[email-masked]>
Date: Fri, 21 Sep 2007 17:12:40 -0400

On Fri, 2007-21-09 at 08:43 -0700, Ben Greear wrote:

> I just re-read the spec, and a bridge *may* pad up to 68, but it is not 
> required.
> On page 166, it says equipment must be able to handle 64 byte minimums.
> 
> See page 22 (section 7.2) of this document:
> 
> http://standards.ieee.org/getieee802/download/802.1Q-1998.pdf
> 
> Also, page 63, 165, 166

Thanks for the enlightnment. 
Do we need an ethtool interface to turn off hardware accelerated vlans?
Jesse is indicating that the intel hardware can only handle the MUST but
not the SHOULD of the spec.
Actually a more basic question: Can you select one or the other mode in
the software based vlans?

cheers,
jamal